Last Comment Bug 283681 - [Meta] PREfast issues
: [Meta] PREfast issues
Status: RESOLVED FIXED
: meta
Product: Core
Classification: Components
Component: Tracking (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: ---
Assigned To: David Gardiner
: chris hofmann
Mentors:
Depends on: 282659 282806 283090 287106 287826 282700 282800 282804 282808 283067 283071 283072 283075 283077 283082 283089 287097 287102 288023 290433 342670 342671
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-25 12:40 PST by David Gardiner
Modified: 2012-02-15 20:08 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description David Gardiner 2005-02-25 12:40:42 PST
This is a meta-bug for tracking all bugs reported from running the Microsoft
PREfast static code analysis tool over Mozilla source code.

Check the "depends on" list before you log a bug about a PREfast warning to make
sure it hasn't already been dealt with.

Care should be taken before reporting bugs from PREfast output as sometimes
there are false positives, and it is nice if the developers don't have to deal
with invalid bug reports!

Building Mozilla with PREfast and getting it integrated into the Mozilla
build/config process is covered in Bug 282659.

-dave
Comment 1 Axel Hecht 2005-03-22 23:57:30 PST
dbaron hunts for stuff, too.
Comment 2 Matthias Versen [:Matti] 2012-02-15 20:08:38 PST
All depending bugs are fixed

Note You need to log in before you can comment on or make changes to this bug.